using MVVM;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Work29.ViewModels
{
    public class ViewUsersWindowViewModel : BaseViewModel
    {
        private ObservableCollection<User> _users;

        private User _user;

        public ObservableCollection<User> Users
        {
            get => _users;
            set
            {
                _users = value;
                OnPropertyChanged();
            }
        }

        public ViewUsersWindowViewModel()
        {
            Work29Context context = new Work29Context();
            Users = new ObservableCollection<User>(context.Users);
        }

    }
}
